unit TestDllUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, XPMan;

type
  TfrmReservoirSimulation = class(TForm)
    brnRun: TButton;
    lblSettings: TLabel;
    edtIniFile: TEdit;
    btnBrowse: TButton;
    OpenDialog: TOpenDialog;
    procedure brnRunClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure btnBrowseClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

function RunSimulationArgs(filepath: ShortString): PChar; pascal;
  external 'SimpleReservoirEngine.dll';

var
  frmReservoirSimulation: TfrmReservoirSimulation;

implementation

{$R *.dfm}

procedure TfrmReservoirSimulation.brnRunClick(Sender: TObject);
var
  s: string;
  ACursor: TCursor;
begin
  ACursor := Screen.Cursor;
  try
    Screen.Cursor := crHourGlass;
    s := '';
    s := RunSimulationArgs(edtIniFile.Text);
    if s<>'' then MessageDlg(s, mtError, [mbOK],0);
  finally
    Screen.Cursor := ACursor;
  end;
end;

procedure TfrmReservoirSimulation.FormShow(Sender: TObject);
begin
  edtIniFile.Text := GetCurrentDir+'\settings.ini';
end;

procedure TfrmReservoirSimulation.btnBrowseClick(Sender: TObject);
begin
  if OpenDialog.Execute then
    edtIniFile.Text := OpenDialog.FileName;
end;

end.
