unit frmtsview;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, icomponent, tsdialogs, StdCtrls, ts, XPMan, flagcmpnt;

type
  TFrmTimeseriesGridContainer = class(TForm)
    MultiTimeseriesDialog: TMultiTimeseriesDialog;
    Flags: TFlagsComponent;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmTimeseriesGridContainer: TFrmTimeseriesGridContainer;

implementation

{$R *.dfm}

procedure TFrmTimeseriesGridContainer.FormShow(Sender: TObject);
var
  ATimeseries: TMultiTimeseries;
begin
  ATimeseries := nil;
  try
    with MultiTimeseriesDialog do
    begin
      if MessageDlg('Set time step for new time series:'+#13#10+
        'Press "yes" for monthly time step or "no" for daily',
        mtConfirmation, [mbYes, mbNo], 0) = mrYes then
        TargetTimestep := tstMonthly else
        TargetTimestep := tstDaily;
      ATimeseries := TMultiTimeseries.Create(Flags);
      ATimeseries.TimeStep := TargetTimestep;
      ATimeseries.Name := 'New unnamed time series...';
      MultiTimeseries := ATimeseries;
      Execute;
    end;
  finally
    ATimeseries.Free;
    Application.Terminate;
  end;
end;

end.
